#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 7 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$out    = EncUri();
ok($out, '',                "without params");

$plain = 'Programming Perl';
$wait  = 'Programming+Perl';
$out    = EncUri($plain);
ok($out, $wait,             "enc space");

$out    = UnEncUri($out);
ok($out, $plain,            "unenc space");

$plain = "Programming Perl\n";
$wait  = 'Programming Perl%0A';
$out    = EncUri($plain, qr/[\n]/);
ok($out, $wait,             "enc enter");

$out    = UnEncUri($out);
ok($out, $plain,            "unenc enter");

$wait	= "Hello World";
$out	= UnEncUri("Hello%20World");
ok($out, $wait,		    "unenc %20 to space");

$plain = join "", map {chr} 0 .. 0xFF;
$out   = UnEncUri(EncUri($plain));
ok($out, $plain,	    "enc/unenc all ascii");

